package com.example.kepler.jd.sdkdemo;

import android.app.Activity;
import android.content.Context;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import com.example.sdkdemo.R;
import com.jd.kepler.res.ApkResources;
import com.kepler.jd.Listener.OpenAppAction;
import com.kepler.jd.login.KeplerApiManager;
import com.kepler.jd.sdk.bean.KelperTask;
import com.kepler.jd.sdk.bean.KeplerAttachParameter;

/**
 * 提供给联盟的demo
 */

public class StartActivityForUnion extends Activity implements View.OnClickListener {
    Context mContext;
    private EditText et_url;  //url地址
    KelperTask mKelperTask;

    Handler mHandler;
    KeplerAttachParameter mKeplerAttachParameter = new KeplerAttachParameter();//这个是即时性参数  可以设置
    LoadingDialog dialog;

    OpenAppAction mOpenAppAction = new OpenAppAction() {

        @Override
        public void onStatus(final int status, final String url) {
            mHandler.post(new Runnable() {
                @Override
                public void run() {
                    if (status == OpenAppAction.OpenAppAction_start) {//开始状态未必一定执行，
                        dialogShow();
                    }else {
                        mKelperTask = null;
                        dialogDiss();
                    }
                    if(status == OpenAppAction.OpenAppAction_result_NoJDAPP) {
                        Toast.makeText(mContext, "您未安装京东app，你可以手动打开以下链接地址："+url+" ,code="+status, Toast.LENGTH_SHORT).show();
                    }else if(status == OpenAppAction.OpenAppAction_result_BlackUrl){
                        Toast.makeText(mContext, "url不在白名单，你可以手动打开以下链接地址："+url+" ,code="+status, Toast.LENGTH_SHORT).show();
                    }else if(status == OpenAppAction.OpenAppAction_result_ErrorScheme){
                        Toast.makeText(mContext, "呼起协议异常"+" ,code="+status, Toast.LENGTH_SHORT).show();
                    }else if(status == OpenAppAction.OpenAppAction_result_APP){

                    }else if(status == OpenAppAction.OpenAppAction_result_NetError){
                        Toast.makeText(mContext, ApkResources.getSingleton().getString("kepler_check_net")+" ,code="+status+" ,url="+url,Toast.LENGTH_SHORT).show();
                    }
                }
            });
        }
    };

    private void dialogShow() {
        if (dialog == null) {
            dialog = new LoadingDialog(this);
            dialog.setOnCancelListener(new DialogInterface.OnCancelListener() {
                @Override
                public void onCancel(DialogInterface dialog) {
                    if (mKelperTask != null) {//取消
                        mKelperTask.setCancel(true);
                    }
                }
            });
        }
        dialog.show();
    }

    private void dialogDiss() {
        if(dialog!=null)
            dialog.dismiss();
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mContext = this;
        mHandler = new Handler();
        setContentView(R.layout.main);
        et_url = (EditText)findViewById(R.id.et_url);
        findViewById(R.id.btn_to_app).setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()){
            case R.id.btn_to_app:
                String url = et_url.getEditableText().toString();
                if (isNullOrEmpty(url)) {
                    Toast.makeText(mContext,"URL为空",Toast.LENGTH_SHORT).show();
                    return;
                }
                mKelperTask = KeplerApiManager.getWebViewService().openAppWebViewPage(mContext,
                        url,
                        mKeplerAttachParameter,
                        mOpenAppAction);
                break;
        }
    }

    private boolean isNullOrEmpty(String str){
        if(str == null || str.length() == 0|| "".equals(str)){
            return true;
        }
        return false;
    }
}
